org.eclipse.pde.ui

## Interface IBundleContentWizard

All Superinterfaces:
  IBasePluginWizard, IPluginContentWizard, IWizard

All Known Implementing Classes:
  AbstractNewPluginTemplateWizard, NewPluginTemplateWizard

    public interface IBundleContentWizard
    extends IPluginContentWizard

Classes that implement this interface are contributed via the extension point `org.eclipse.pde.ui.pluginContent`. The expectation is that classes also extend JFace Wizard class. This wizard must be used when plug-in dependencies are to be specified via the Import-Package header of a manifest.mf. The role of this wizard is to provide additional plug-in content after the project and the critical plug-in project files have been created. The wizard is nested in the overall 'New' wizard and can contribute one or more pages that allow users to configure how this content will be generated. A typical implementation of this interface would be a template wizard that populates the plug-in project with content that can be useful right away (for example, a view or an editor extension).

Due to the call order of the method `performFinish` in nested wizards, classes that implement this interface should not place the code that generates new content in the implementation of the abstract method `Wizard.performFinish()`. Instead, they should simply return `true` and have all the real code in `performFinish` defined in this interface. This version of the method passes all the context required for the content generation and is called AFTER the project and vital plug-in files have been already created.

Since:
  3.2
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getImportPackages()` Returns names of packages that are required by this wizard.

### Methods inherited from interface org.eclipse.pde.ui.IPluginContentWizard

`getDependencies, getNewFiles, init, performFinish`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

### Method Detail

#### getImportPackages

    String[] getImportPackages()

Returns names of packages that are required by this wizard. This information will be used to compose the Import-Package header of the manifest.mf being generated, so that the plug-in compiles without errors in the first build after creation.

Returns:
  an array of package names required by this wizard